function [mvalue, y, x] = minn(I, n, Range)
% MAXN the max n position

[Height, Width] = size(I);

mvalue(1:n) = Range(2)+1;
y(1:n) = 0;
x(1:n) = 0;

for i=1:Height
   for j=1:Width
      Value = I(i,j);
      k = 1;
      while( (k <= n) & (Value >= mvalue(k)) )
         k = k+1;
      end
      if( k <= n )
         for m=n-1:-1:k
            mvalue(m+1) = mvalue(m);
            y(m+1) = y(m);
            x(m+1) = x(m);
         end
         mvalue(k) = Value;
         y(k) = i;
         x(k) = j;
      end
   end
end
