function M = readimage(string)
%ReadImage
Info = imfinfo(string);

if( strcmp(Info.ColorType,'truecolor') )
   M = rgb2gray(imread(string));
elseif( strcmp(Info.ColorType,'indexed') )
   [M , Map] = imread(string);
   M = ind2gray(M, Map);
   M = uint8( M * 255 / max(max(M)) );
else
   M = imread(string);
end
